%define anolis_release 2

Name:           duktape
Version:        2.7.0
Release:        %{anolis_release}%{?dist}
Summary:        Embeddable Javascript engine
License:        MIT
Url:            http://duktape.org/
Source0:        %{url}/%{name}-%{version}.tar.xz
Patch0:         duktape-2.7.0-linkage-fix.patch
BuildRequires:  gcc pkgconfig make

%description
Duktape is an embeddable Javascript engine, with a focus on portability and
compact footprint.

Duktape is easy to integrate into a C/C++ project: add duktape.c, duktape.h,
and duk_config.h to your build, and use the Duktape API to call ECMAScript
functions from C code and vice versa.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVR}

%description    devel
Embeddable Javascript engine.

Header files and libraries needed to develop application that use %{name}.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}
Buildarch: noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%make_build -f Makefile.sharedlibrary \
	CFLAGS="%{build_cflags}" \
	LDFLAGS="%{build_ldflags}" \
	INSTALL_PREFIX=%{_prefix} \
	LIBDIR=/%{_lib}

%install
%make_install -f Makefile.sharedlibrary \
	INSTALL_PREFIX=%{_prefix} \
	LIBDIR=/%{_lib}

%generate_compatibility_deps

%files
%license LICENSE.txt
%dir %{abidir}
%{_libdir}/libduktape.so.*
%{_libdir}/libduktaped.so.*
%{abidir}/libduktape.dump
%{abidir}/libduktaped.dump

%files doc
%doc AUTHORS.rst README.rst

%files devel
%doc examples/
%{_includedir}/duk_config.h
%{_includedir}/duktape.h
%{_libdir}/libduktape.so
%{_libdir}/libduktaped.so
%{_libdir}/pkgconfig/duktape.pc

%changelog
* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 2.7.0-2
- optimize spec

* Thu Feb 9 2023 Funda Wang <fundawang@yeah.net> - 2.7.0-1
- Import package for anolis 23
